% plot transformation to see... 


xl  = -5;
xu  = 5;
x = linspace(xl,xu,100)';


a = 0;
b = 10;
c = 10;


% ezplot(@(x)(a+b)./2 + 0.5.*(b-a).*c.*x./sqrt(1+c.^2*x.^2), [-2,2]);

fun_trans1 = @(x,c)(a+b)./2 + 0.5.*(b-a).*c.*x./sqrt(1+c.^2*x.^2);
fun_trans2 = @(x,c)a + exp(c*(x-b));


fun_invtrans1 = @(x,c) (1/c)*(2*(x-(a+b)/2)/(b-a))./sqrt(1-(2*(x-(a+b)/2)/(b-a)).^2);
fun_invtrans2 = @(x,c) b + (1/c)*log(x-a);

fun_one1 = @(x,c)fun_invtrans1(fun_trans1(x,c),c);
fun_one2 = @(x,c)fun_invtrans2(fun_trans2(x,c),c);


% plot 1
y1 = fun_trans1(x,0.1);
y2 = fun_trans1(x,0.5);
y3 = fun_trans1(x,1);
y4 = fun_trans1(x,10);
plot(x, [y1, y2, y3, y4]);


% plot 2
z1 = fun_trans2(x,1);
z2 = fun_trans2(x,0.5);
z3 = fun_trans2(x,1);
z4 = fun_trans2(x,10);

% plot(x, [z1, z2, z3, z4]);
plot(x, z1)


% plot 3
yz1 = fun_one1(x,1);
plot(x,yz1);

yz2 = fun_one2(x,1);
plot(x,yz2);












