function lik_sensitivity(fcn, para, delt, varargin)
% check the likelihood sensitivity
% ex: lik_sensitivity('objfcn_pm', para, 0.1, trspec, prior, msel, YY, modelname, order_app, n_particle);
nparam = length(para);
temp_one = eye(nparam);
for i=1:1:nparam
    
    temp_pm = feval(fcn, para+temp_one(:,i)*delt, varargin{:});
    disp([num2str(i), ' th value ']);
    fixdec(temp_pm, 10)
end